org.apache.solr.cloud.rule

## Enum Rule.Operand

- java.lang.Object
- - java.lang.Enum<Rule.Operand>
  - - org.apache.solr.cloud.rule.Rule.Operand

- All Implemented Interfaces:
    Serializable, Comparable<Rule.Operand>
  Enclosing class:
    Rule

      public static enum Rule.Operand
      extends Enum<Rule.Operand>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EQUAL`
    `GREATER_THAN`
    `LESS_THAN`
    `NOT_EQUAL`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `operand`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canMatch(Object ruleVal, Object testVal)`
    `int` | `compare(Object n1Val, Object n2Val)`
    `int` | `compareNum(Object n1Val, Object n2Val)`
    `Object` | `match(String val)`
    `String` | `toStr(Object expectedVal)`
    `static Rule.Operand` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Rule.Operand[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EQUAL

          public static final Rule.Operand EQUAL

    - #### NOT_EQUAL

          public static final Rule.Operand NOT_EQUAL

    - #### GREATER_THAN

          public static final Rule.Operand GREATER_THAN

    - #### LESS_THAN

          public static final Rule.Operand LESS_THAN

  - ### Field Detail

    - #### operand

          public final String operand

  - ### Method Detail

    - #### values

          public static Rule.Operand[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Rule.Operand c : Rule.Operand.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Rule.Operand valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toStr

          public String toStr(Object expectedVal)

    - #### match

          public Object match(String val)

    - #### canMatch

          public boolean canMatch(Object ruleVal,
                                  Object testVal)

    - #### compare

          public int compare(Object n1Val,
                             Object n2Val)

    - #### compareNum

          public int compareNum(Object n1Val,
                                Object n2Val)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.